{ pkgs, lib, config, ... }: {
  options.mods.server.gaming = {
    enable = lib.mkEnableOption {
      default = false;
      description = "enables gaming servers";
    };
  };

  imports = [ ./astral.nix ./vrising.nix ./statech.nix ];

  config = lib.mkIf config.mods.server.gaming.enable {
    mods.server.astral.enable = true;
  };
}
